> ## Documentation Index
> Fetch the complete documentation index at: https://developers.gonitro.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Field by ID

> The **Update Field by ID** endpoint modifies the properties of an existing field.
The Field type cannot be updated. All parameters are optional.




## OpenAPI

````yaml https://api.gonitro.dev/openapi.json patch /sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID}
openapi: 3.1.0
info:
  title: Nitro Sign Public API
  description: REST API for Nitro Sign
  version: '0.1'
servers:
  - url: https://api.gonitro.dev
security:
  - bearerAuth: []
paths:
  /sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID}:
    patch:
      tags:
        - Sign
      summary: Update Field by ID
      description: >
        The **Update Field by ID** endpoint modifies the properties of an
        existing field.

        The Field type cannot be updated. All parameters are optional.
      operationId: updateField
      parameters:
        - name: envelopeID
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: documentID
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: fieldID
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/UpdateCheckboxField'
                - $ref: '#/components/schemas/UpdateCompanyField'
                - $ref: '#/components/schemas/UpdateCustomField'
                - $ref: '#/components/schemas/UpdateDateField'
                - $ref: '#/components/schemas/UpdateInitialsField'
                - $ref: '#/components/schemas/UpdateNameField'
                - $ref: '#/components/schemas/UpdateSignatureField'
                - $ref: '#/components/schemas/UpdateTitleField'
        required: true
      responses:
        '200':
          description: Field updated successfully
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Checkbox'
                  - $ref: '#/components/schemas/Company'
                  - $ref: '#/components/schemas/Custom'
                  - $ref: '#/components/schemas/Date'
                  - $ref: '#/components/schemas/Initials'
                  - $ref: '#/components/schemas/Name'
                  - $ref: '#/components/schemas/Signature'
                  - $ref: '#/components/schemas/Title'
        '401':
          description: Unauthorized - Invalid or missing JWT token
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/UnauthorizedProblemDetail'
        '404':
          description: Envelope, document, or field not found
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/NotFoundProblemDetail'
components:
  schemas:
    UpdateCheckboxField:
      description: Parameters to update a Checkbox field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: array
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field’s bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          items:
            type: number
            format: float
          maxItems: 4
          minItems: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        participantID:
          type: string
          format: uuid
          description: The unique identifier of the participant assigned to the field.
        type:
          type: string
          enum:
            - checkbox
          title: type
      required:
        - type
      title: Checkbox
    UpdateCompanyField:
      description: Parameters to update a Company field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: array
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field’s bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          items:
            type: number
            format: float
          maxItems: 4
          minItems: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        participantID:
          type: string
          format: uuid
          description: The unique identifier of the participant assigned to the field.
        type:
          type: string
          enum:
            - company
          title: type
      required:
        - type
      title: Company
    UpdateCustomField:
      description: Parameters to update a Custom field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: array
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field’s bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          items:
            type: number
            format: float
          maxItems: 4
          minItems: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        participantID:
          type: string
          format: uuid
          description: The unique identifier of the participant assigned to the field.
        type:
          type: string
          enum:
            - custom
          title: type
        label:
          type: string
          description: >-
            For custom field types, you must provide a descriptive label for the
            field.
      required:
        - type
      title: Custom
    UpdateDateField:
      description: Parameters to update a Date field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: array
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field’s bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          items:
            type: number
            format: float
          maxItems: 4
          minItems: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        participantID:
          type: string
          format: uuid
          description: The unique identifier of the participant assigned to the field.
        type:
          type: string
          enum:
            - date
          title: type
        format:
          type: string
          description: >
            For date field types, you can specify the format that will
            automatically populate when a signer participant opens the document
            in an envelope.


            The default value is the date on which the signer opens the
            envelope. The signer can manually edit the date after it
            auto-populates, if needed.


            The following date format options are supported (examples use
            September 10, 2025):
              - `MM/DD/YYYY` → 09/10/2025
              - `MM-DD-YYYY` → 09-10-2025
              - `MMM DD YYYY` → Sep 10 2025
              - `DD/MM/YYYY` → 10/09/2025
              - `DD MMM YYYY` → 10 Sep 2025
              - `DD MMMM YYYY` → 10 September 2025
              - `YYYY/MM/DD` → 2025/09/10
              - `YYYY-MM-DD` → 2025-09-10
              - `YYYY-MMM-DD hh:mm` → 2025-Sep-10 14:30
        modifiable:
          type: boolean
          description: >
            A boolean that indicates that the participant can change value of
            the field. By default

            the value of the field is current date and the participant can't
            change the value.
      required:
        - type
      title: Date
    UpdateInitialsField:
      description: Parameters to update a Initials field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: array
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field’s bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          items:
            type: number
            format: float
          maxItems: 4
          minItems: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        participantID:
          type: string
          format: uuid
          description: The unique identifier of the participant assigned to the field.
        type:
          type: string
          enum:
            - initials
          title: type
      required:
        - type
      title: Initials
    UpdateNameField:
      description: Parameters to update a Name field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: array
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field’s bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          items:
            type: number
            format: float
          maxItems: 4
          minItems: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        participantID:
          type: string
          format: uuid
          description: The unique identifier of the participant assigned to the field.
        type:
          type: string
          enum:
            - name
          title: type
      required:
        - type
      title: Name
    UpdateSignatureField:
      description: Parameters to update a Signature field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: array
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field’s bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          items:
            type: number
            format: float
          maxItems: 4
          minItems: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        participantID:
          type: string
          format: uuid
          description: The unique identifier of the participant assigned to the field.
        type:
          type: string
          enum:
            - signature
          title: type
      required:
        - type
      title: Signature
    UpdateTitleField:
      description: Parameters to update a Title field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: array
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field’s bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          items:
            type: number
            format: float
          maxItems: 4
          minItems: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        participantID:
          type: string
          format: uuid
          description: The unique identifier of the participant assigned to the field.
        type:
          type: string
          enum:
            - title
          title: type
      required:
        - type
      title: Title
    Checkbox:
      type: object
      description: Response representing a Checkbox field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - checkbox
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Checkbox
    Company:
      type: object
      description: Response representing a Company field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - company
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Company
    Custom:
      type: object
      description: Response representing a Custom field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        label:
          type: string
          description: Descriptive label of the Custom field
          minLength: 1
        type:
          type: string
          enum:
            - custom
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - label
        - participantID
        - type
      title: Custom
    Date:
      type: object
      description: Response representing a Date field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        format:
          type: string
          description: >
            Format of the Date field.


            The following date format options are supported (examples use
            September 10, 2025):
                    - `MM/DD/YYYY` → 09/10/2025
                    - `MM-DD-YYYY` → 09-10-2025
                    - `MMM DD YYYY` → Sep 10 2025
                    - `DD/MM/YYYY` → 10/09/2025
                    - `DD MMM YYYY` → 10 Sep 2025
                    - `DD MMMM YYYY` → 10 September 2025
                    - `YYYY/MM/DD` → 2025/09/10
                    - `YYYY-MM-DD` → 2025-09-10
                    - `YYYY-MMM-DD hh:mm` → 2025-Sep-10 14:30
        modifiable:
          type: boolean
          description: >-
            A boolean that indicates that the participant can change value of
            the field.
        type:
          type: string
          enum:
            - date
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - format
        - participantID
        - type
      title: Date
    Initials:
      type: object
      description: Response representing an Initials field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - initials
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Initials
    Name:
      type: object
      description: Response representing a Name field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - name
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Name
    Signature:
      type: object
      description: Response representing a Signature field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - signature
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Signature
    Title:
      type: object
      description: Response representing a Title field
      properties:
        page:
          type: integer
          format: int32
          description: >-
            The page number where the field appears. Pages follow 1-based
            indexing, so the first page is 1.
        boundingBox:
          type: string
          description: >
            An array of numbers in the format [x, y, w, h] that defines the
            field's bounding box on the page:


            - `x, y` are the coordinates of the top-left corner, measured in
            points (pt).

            - `w, h` are the width and height of the bounding box, also in
            points (pt).


            For more information on calculating positions, see the [Bounding Box
            Guide](https://developers.gonitro.com/docs/build-nitro/bounding-box).
          example:
            - 100
            - 200
            - 150
            - 50
          maxItems: 4
          maxLength: 4
          minItems: 4
          minLength: 4
        required:
          type: boolean
          description: >-
            A boolean that indicates whether the participant must complete the
            field.
        type:
          type: string
          enum:
            - title
          title: type
        ID:
          type: string
          format: uuid
          description: Unique ID of the field
        participantID:
          type: string
          format: uuid
          description: >-
            The unique identifier of the participant assigned to the field.
            Fields can only be created for participants with the signer role.
        documentID:
          type: string
          format: uuid
          description: ID of the document to which this field belongs.
      required:
        - boundingBox
        - documentID
        - participantID
        - type
      title: Title
    UnauthorizedProblemDetail:
      type: object
      description: Unauthorized error details
      example:
        type: >-
          https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized
        title: Unauthorized
        status: 401
        detail: Missing or invalid Authorization header
        instance: /sign/envelopes
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    NotFoundProblemDetail:
      type: object
      description: Not Found error details
      example:
        type: https://developers.gonitro.com/docs/build-nitro/errors#404-not-found
        title: Not Found
        status: 404
        detail: Envelope with ID 'envelop-123' not found
        instance: /sign/envelopes/envelop-123
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````